/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import java.util.Collection;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;

/**
 *
 * @author developer2
 */
@Entity
@Table(name="COMACO.TARMRESPUESTAS")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Tarmrespuestas.findAll", query = "SELECT t FROM Tarmrespuestas t"),
    @NamedQuery(name = "Tarmrespuestas.findByCrespuesta", query = "SELECT t FROM Tarmrespuestas t WHERE t.crespuesta = :crespuesta"),
    @NamedQuery(name = "Tarmrespuestas.findByDescripcion", query = "SELECT t FROM Tarmrespuestas t WHERE t.descripcion = :descripcion"),
    @NamedQuery(name = "Tarmrespuestas.findByEscorrecta", query = "SELECT t FROM Tarmrespuestas t WHERE t.escorrecta = :escorrecta"),
    @NamedQuery(name = "Tarmrespuestas.findByIsactive", query = "SELECT t FROM Tarmrespuestas t WHERE t.isactive = :isactive")})
public class Tarmrespuestas implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @Column(name = "CRESPUESTA")
    private Integer crespuesta;
    @Column(name = "DESCRIPCION")
    private String descripcion;
    @Column(name = "ESCORRECTA")
    private String escorrecta;
    @Column(name = "ISACTIVE")
    private String isactive;
    @OneToMany(mappedBy = "crespuestaingresada")
    private Collection<Tarmdetallepreguntas> tarmdetallepreguntasCollection;
    @JoinColumn(name = "CPREGUNTA", referencedColumnName = "CPREGUNTA")
    @ManyToOne
    private Tarmpreguntas cpregunta;

    public Tarmrespuestas() {
    }

    public Tarmrespuestas(Integer crespuesta) {
        this.crespuesta = crespuesta;
    }

    public Integer getCrespuesta() {
        return crespuesta;
    }

    public void setCrespuesta(Integer crespuesta) {
        this.crespuesta = crespuesta;
    }

    public String getDescripcion() {
        return descripcion;
    }

    public void setDescripcion(String descripcion) {
        this.descripcion = descripcion;
    }

    public String getEscorrecta() {
        return escorrecta;
    }

    public void setEscorrecta(String escorrecta) {
        this.escorrecta = escorrecta;
    }

    public String getIsactive() {
        return isactive;
    }

    public void setIsactive(String isactive) {
        this.isactive = isactive;
    }

    @XmlTransient
    public Collection<Tarmdetallepreguntas> getTarmdetallepreguntasCollection() {
        return tarmdetallepreguntasCollection;
    }

    public void setTarmdetallepreguntasCollection(Collection<Tarmdetallepreguntas> tarmdetallepreguntasCollection) {
        this.tarmdetallepreguntasCollection = tarmdetallepreguntasCollection;
    }

    public Tarmpreguntas getCpregunta() {
        return cpregunta;
    }

    public void setCpregunta(Tarmpreguntas cpregunta) {
        this.cpregunta = cpregunta;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (crespuesta != null ? crespuesta.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Tarmrespuestas)) {
            return false;
        }
        Tarmrespuestas other = (Tarmrespuestas) object;
        if ((this.crespuesta == null && other.crespuesta != null) || (this.crespuesta != null && !this.crespuesta.equals(other.crespuesta))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.Tarmrespuestas[ crespuesta=" + crespuesta + " ]";
    }
    
}
